import { Privilege } from './privilege.interface';

export interface UserPicture {
  id: number;
  file: number;
  mimetype: string;
}

export interface UserListItem {
  id: number;
  uuid: string;
  username: string;
  display_name: string;
  email: string;
  created_at: string;
  updated_at: string;
  activity_at: string;
  activated: boolean;
  picture?: UserPicture;
  privileges?: Privilege[];
}
